GeoIntersectionLayer.OMPolyRegion (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.test
Class GeoIntersectionLayer.OMPolyRegion

    java.lang.Object
      com.bbn.openmap.geo.GeoPath.Impl
          com.bbn.openmap.geo.GeoRegion.Impl
              com.bbn.openmap.layer.test.GeoIntersectionLayer.OMPolyRegion

All Implemented Interfaces:
  GeoExtent, GeoPath, GeoRegion

Enclosing class:
  GeoIntersectionLayer

    public static class GeoIntersectionLayer.OMPolyRegion

extends GeoRegion.Impl

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.geo.GeoPath.Impl
`GeoPath.Impl.PointIt, GeoPath.Impl.SegIt`

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.GeoRegion
`GeoRegion.Impl`

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.GeoPath
`GeoPath.PointIterator, GeoPath.SegmentIterator`

Field Summary
`OMPoly` | `poly`

Fields inherited from class com.bbn.openmap.geo.GeoPath.Impl
`bc, id, length, pts`

Constructor Summary
`GeoIntersectionLayer.OMPolyRegion(OMPoly omp)`

Method Summary
`java.lang.Object` | `getID()` return an object that this extent represents.

Methods inherited from class com.bbn.openmap.geo.GeoRegion.Impl
`getBoundingCircle, getRegionId, isPointInside, isSegmentNear, setRegionId`

Methods inherited from class com.bbn.openmap.geo.GeoPath.Impl
`getPathID, getPointID, getPoints, getSegID, length, pointIterator, segmentIterator, setID, setPoints, setPoints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.geo.GeoPath
`getPoints, length, pointIterator, segmentIterator`

Field Detail

### poly

    public OMPoly poly

Constructor Detail

### GeoIntersectionLayer.OMPolyRegion

    public GeoIntersectionLayer.OMPolyRegion(OMPoly omp)

Method Detail

### getID

    public java.lang.Object getID()

  Description copied from interface: `GeoExtent`
  return an object that this extent represents.

  Specified by:
    `getID` in interface `GeoExtent`
  Overrides:
    `getID` in class `GeoPath.Impl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details